%{!?__python2:        %define __python2 /usr/bin/python2}
%{!?python2_sitelib:  %define python2_sitelib  %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %define python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%define modn   pyOpenSSL
%define modv   0.14


Summary:       A Python wrapper module around OpenSSL
Name:          python-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       APLv2
Group:         Development/Libraries
Source0:       https://pypi.python.org/packages/source/p/%{modn}/%{modn}-%{modv}.tar.gz
Patch0:        %{modn}-0.14-openssl.patch
Patch1:        %{modn}-0.14-tests.patch
URL:           https://pypi.python.org/pypi/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Jean-Paul Calderone <exarkun@twistedmatrix.com>
Provides:      python(%{modn}) = %{modv}
Provides:      python(OpenSSL) = %{modv}
Provides:      python(OpenSSL.test) = %{modv}
Requires:      python-cryptography >= 0.5.1
Requires:      python-six >= 1.5.2
BuildRequires: python2-devel >= 2.6 python-setuptools
BuildRequires: python-cryptography >= 0.5.1
BuildRequires: python-six >= 1.5.2
BuildArch:     noarch


%description
pyOpenSSL is a high-level wrapper around a subset of the OpenSSL library.


%prep
%setup -q -n %{modn}-%{modv}
%patch0 -p1
%patch1 -p1


%build
%{__python2} -c 'import setuptools; execfile("setup.py")' build


%check
%{__python2} setup.py test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__python2} -c 'import setuptools; execfile("setup.py")' install \
	--skip-build -O1 --root ${RPM_BUILD_ROOT}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ChangeLog INSTALL LICENSE README TODO examples
%doc --parents doc/{README,api,*.rst}
%{python2_sitelib}/OpenSSL
%{python2_sitelib}/*.egg-info


%changelog
* Wed Feb 18 2015 Peter Pramberger <peterpramb@member.fsf.org> - 0.14-1
- Initial build
